petsc-3.4.2 2013-07-02

# VecDotNorm2

computes the inner product of two vectors and the 2-norm squared of the second vector

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecDotNorm2(Vec s,Vec t,PetscScalar *dp, PetscReal *nm)

Collective on Vec

### Input Parameter

| s | - first vector
| t | - second vector

### Output Parameter

| dp | - s'conj(t)
| nm | - t'conj(t)

Notes: conj(x) is the complex conjugate of x when x is complex

### See Also

VecDot(), VecNorm(), VecDotBegin(), VecNormBegin(), VecDotEnd(), VecNormEnd()

### Keywords

vector, sqrt, square root

Level:advanced
Location:src/vec/vec/utils/vinv.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages